﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
#define wk = Character(what_color = "#003C78", what_outlines = [(3, "#FFFFFF", 0, 0)], what_bold = True, what_size = 34)

init 9999 python:
    wk = Character(None, kind = centered, what_color = "#003C78", what_outlines = [(3, "#FFFFFF", 0, 0)], what_bold = True, what_size = 34)

image bg logo = "logo.jpg"
image bg main_menu = "titlescreen.png"
image bg info = "info.png"

init python hide:
    for file in renpy.list_files():
        if file.startswith('bg') and file.endswith('.jpg'):
            name = file.replace('BG/','').replace('/', ' ').replace('.jpg','')
            renpy.image(name, Image(file))

init:
   
    image cg1 = "cg01.jpg"
    image cg2 = "cg02.jpg"
    image cg3 = "cg03.jpg"
    image cg4 = "cg04.jpg"
    image cg5 = "cg05.jpg"
    image cg6 = "cg06.jpg"
    image cg7 = "cg07.jpg"
    image cg8 = "cg08.jpg"
    image cg9 = "cg09.jpg"
    image cg10 = "cg10.jpg"
    image cg11 = "cg11.jpg"
    
# This is the splash screen. Should show my logo, and then the 
# instructions for playing on the Ouya.
label splashscreen:
    show bg black
    $ renpy.pause(0)
    show bg logo
    with dissolve
    with Pause (1.5)
    
    show bg main_menu
    with fade
    with Pause(1.5)
    
    return    
    
    
# The game starts here.
label start:
    
    $ _game_menu_screen = "game_menu" # This code activates the "pause menu" in screens.rpy
    $ calendar = Calendar(31, 8, 2014, 2016) # Calendar(day, month, year, first leap year (can be ignored))
    $ month_cnt = 0
    $ current_week = "None"
    
    $ AGI = 0 #Agility
    $ APP = 0 #Appearance
    $ BLD = 0 #Build
    $ FIT = 0 #Fitness
    $ CRE = 0 #Creativity
    $ INF = 0 #Influence
    $ KNO = 0 #Knowledge
    $ PSY = 0 #Psyche
    $ PER = 0 #Perception
    $ WIL = 0 #Willpower
    
    $ Stress = 0
    $ Money = 500
    
init python:
    
    class Player(renpy.store.object):
        def __init__(self, name, max_hp=0, max_mp=0, element=None):
            self.name=name
            self.max_hp=max_hp
            self.hp=max_hp
            self.max_mp=max_mp
            self.mp=max_mp
            self.element=element
    player = Player("Derp", 100, 50)
    
    class Item(store.object):
        def __init__(self, name, player=None, hp=0, mp=0, element="", image="", cost=0):
            self.name = name
            self.player=player # which character can use this item?
            self.hp = hp # does this item restore hp?
            self.mp = mp # does this item restore mp?
            self.element=element # does this item change elemental damage?
            self.image=image # image file to use for this item
            self.cost=cost # how much does it cost in shops?
        def use(self): #here we define what should happen when we use the item
            if self.hp>0: #healing item
                player.hp = player.hp+self.hp
                if player.hp > player.max_hp: # can't heal beyond max HP
                    player.hp = player.max_hp
                inventory.drop(self) # consumable item - drop after use
            elif self.mp>0: #mp restore item
                player.mp = player.mp+self.mp
                if player.mp > player.max_mp: # can't increase MP beyond max MP
                    player.mp = player.max_mp
                inventory.drop(self) # consumable item - drop after use
            else:
                player.element=self.element #item to change elemental damage; we don't drop it, since it's not a consumable item
    
    class Inventory(store.object):
        def __init__(self, money=10):
            self.money = money
            self.items = []
        def add(self, item): # a simple method that adds an item; we could also add conditions here (like check if there is space in the inventory)
            self.items.append(item)
        def drop(self, item):
            self.items.remove(item)
        def buy(self, item):
            if self.money >= item.cost:
                self.items.append(item)
                self.money -= item.cost
    
    player = Player("Derp", 100, 50)
    player.hp = 50
    player.mp = 10
    chocolate = Item("Chocolate", hp=40, image="gui/inv_chocolate.png")
    banana = Item("Banana", mp=20, image="gui/inv_banana.png")    
    gun = Item("Gun", element="bullets", image="gui/inv_gun.png", cost=7)
    laser = Item("Laser Gun", element="laser", image="gui/inv_laser.png")
    inventory = Inventory()
    #add items to the initial inventory:
    inventory.add(chocolate)
    inventory.add(chocolate)
    inventory.add(chocolate)
    inventory.add(chocolate)
    inventory.add(banana)
    inventory.add(banana)
    inventory.add(banana)
    inventory.add(banana)
    inventory.add(gun)
    inventory.add(laser)
    
    
label home:

    scene bg default
    show screen home
    show screen calendar
    $renpy.pause()
    
    while True: # This makes sure that we can toy with it without leaving the game.
        $ result = ui.interact()
   
label check_week:
   
   $ renpy.jump(current_week)
   
return
    
label check_events:
    
    "Checking for events."
    
    if current_week != "None":
        $ renpy.jump(current_week + "_evt")
    
    return
    
label check_daily:
    
    "Checking daily events."
    
    #if calendar.moonphase == "full moon":
        #$ insanity += 5
    
    if calendar.month == "September" and calendar.day == 30:
        jump Harvest_Festival
        
    return
   
label check_end:
   
    "This function will check to see what ending has been triggered."
   
    return
   
label month:
   
    $ month_cnt += 1
   
    scene bg default
   
    #Setting default values for the schedule
   
    $ week01 = None
    $ week02 = None
    $ week03 = None
    $ week04 = None
    $ show_date = False

label schedule_repeat:

    call screen schedule

    if week01 is None or week02 is None or week03 is None or week04 is None:

        "Please pick an activity for every week this month."

        jump schedule_repeat
   
label week01:
    
    $ current_day = 1
    $ current_week = week01
   
    $renpy.scene()
    $renpy.show("bg "+week01)
   
    wk "First Week Plan: [week01]"
   
    call check_week
    
    $ week01 = None
    $ show_date = False
   
label week02:
    
    $ current_day = 1
    $ current_week = week02
    
    $renpy.scene()
    $renpy.show("bg "+week02)
   
    wk "First Week Plan: [week02]"
   
    call check_week
    
    $ week02 = None
    $ show_date = False
   
label week03:
    
    $ current_day = 1
    $ current_week = week03
    
    $renpy.scene()
    $renpy.show("bg "+week03)
   
    wk "First Week Plan: [week03]"
   
    call check_week
    
    $ week03 = None
    $ show_date = False
   
label week04:
    
    $ current_day = 1
    $ current_week = week04
    
    $renpy.scene()
    $renpy.show("bg "+week04)
   
    wk "First Week Plan: [week04]"
   
    call check_week
    
    $ week04 = None
    $ show_date = False
   
label end_month:
   
    "The month is already over. Time sure does fly."
   
    if month_cnt < 3:
        jump home
       
label game_over:
   
    call check_end
   
    "Game Over."
   
    return

